Bug 241125 - Add NetBSD support for MachineContext
Summary: Add NetBSD support for MachineContext
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: All Other
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-05-31 05:17 PDT by Leonardo Taccari
Modified: 2022-06-08 08:50 PDT (History)
12 users (show)

See Also:


Attachments
Add NetBSD support for MachineContext (5.64 KB, patch)
2022-05-31 05:19 PDT, Leonardo Taccari
no flags Details | Formatted Diff | Diff
Add NetBSD support for MachineContext (5.80 KB, patch)
2022-05-31 05:30 PDT, Leonardo Taccari
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leonardo Taccari 2022-05-31 05:17:37 PDT
This adds support to NetBSD for MachineContext.

(Locally present in pkgsrc - the NetBSD package system - for several WebKitGTK releases but unfortunately never upstreamed, sorry!)
Comment 1 Leonardo Taccari 2022-05-31 05:19:11 PDT
Created attachment 459883 [details]
Add NetBSD support for MachineContext
Comment 2 Leonardo Taccari 2022-05-31 05:29:25 PDT
Comment on attachment 459883 [details]
Add NetBSD support for MachineContext

Whitespace accidentally present... reworking on diff!
Comment 3 Leonardo Taccari 2022-05-31 05:30:04 PDT
Created attachment 459884 [details]
Add NetBSD support for MachineContext
Comment 4 Radar WebKit Bug Importer 2022-06-07 05:18:15 PDT
<rdar://problem/94518456>
Comment 5 Yusuke Suzuki 2022-06-07 06:01:18 PDT
If it gets ready for review, please set r? :)
Comment 6 Leonardo Taccari 2022-06-07 06:53:40 PDT
Hello Yusuke!
Whoops, definitely ready for review since 2022-05-31, I had completely missed that, sorry!

Thanks a lot for pointing that out!
Comment 7 Yusuke Suzuki 2022-06-07 06:55:07 PDT
Comment on attachment 459884 [details]
Add NetBSD support for MachineContext

r=me
Comment 8 Yusuke Suzuki 2022-06-07 06:55:16 PDT
Nice, thank you!
Comment 9 Leonardo Taccari 2022-06-08 06:22:38 PDT
JFTR, after this patch is applied and patch in https://bugs.webkit.org/show_bug.cgi?id=241386 is applied `jsc' properly runs without any further local patches.
Comment 10 EWS 2022-06-08 08:50:26 PDT
Committed r295381 (251389@main): <https://commits.webkit.org/251389@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 459884 [details].